Throwable
Date: 2016-06-24

java.lang

## Class Throwable

- java.lang.Object
- - java.lang.Throwable

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Error, Exception

      public class Throwable
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Throwable()`
    `Throwable(String var0)`
    `Throwable(String var0, Throwable var1)`
    `Throwable(Throwable var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `fillInStackTrace()`
    `Throwable` | `getCause()`
    `String` | `getLocalizedMessage()`
    `String` | `getMessage()`
    `StackTraceElement[]` | `getStackTrace()`
    `Throwable` | `initCause(Throwable var0)`
    `void` | `printStackTrace()`
    `void` | `printStackTrace(PrintStream var0)`
    `void` | `printStackTrace(PrintWriter var0)`
    `void` | `setStackTrace(StackTraceElement[] var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Throwable

          public Throwable()

    - #### Throwable

          public Throwable(String var0)

    - #### Throwable

          public Throwable(String var0,
                   Throwable var1)

    - #### Throwable

          public Throwable(Throwable var0)

  - ### Method Detail

    - #### fillInStackTrace

          public Throwable fillInStackTrace()

    - #### getCause

          public Throwable getCause()

    - #### getLocalizedMessage

          public String getLocalizedMessage()

    - #### getMessage

          public String getMessage()

    - #### getStackTrace

          public StackTraceElement[] getStackTrace()

    - #### initCause

          public Throwable initCause(Throwable var0)

    - #### printStackTrace

          public void printStackTrace()

    - #### printStackTrace

          public void printStackTrace(PrintStream var0)

    - #### printStackTrace

          public void printStackTrace(PrintWriter var0)

    - #### setStackTrace

          public void setStackTrace(StackTraceElement[] var0)